Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List all app redirects

Retrieves a paginated list of all redirects within the specified application, with optional filtering by type and search query

GET/api/v1/{team_slug}/{app_slug}/redirects
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Query parameters
pageinteger

Page number

per-pageinteger

Number of items per page

typeinteger

Redirect type, Can be one of product page collection category product_bundle brand serie campaign

searchstring

Search on old_slug and new_slug

Responses
200

Redirect List

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects[]required
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects
idstring
item_idstring | null
localestring
new_slugstring
old_slugstring
typegithub_com_enadhq_nabbit_internal_pkg_webserver_models.RedirectType
Allowed:productpagecollectioncategoryproduct_bundle
successboolean
totalinteger
total_pagesinteger
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v1/string/string/redirects' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "id": "string",
      "item_id": "string",
      "locale": "string",
      "new_slug": "string",
      "old_slug": "string",
      "type": "product"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}